Berkeley DB version 4.2.52

## com.sleepycat.bdb.bind
Interface DataBinding

All Known Implementing Classes:
  ByteArrayBinding, RecordNumberBinding, SerialBinding, TupleBinding, TupleInputBinding

public interface DataBinding

The interface implemented by all data-to-object bindings.

Method Summary
`Object` `dataToObject(DataBuffer data)` Converts a data buffer into an Object.
`DataFormat` `getDataFormat()` Returns the format used for the data of this binding.
`void` `objectToData(Object object, DataBuffer data)` Converts an Object into a data buffer.

Method Detail

### dataToObject

    public Object dataToObject(DataBuffer data)
                        throws IOException

  Converts a data buffer into an Object.

  Parameters:
    `data` - is the source data buffer.
  Returns:
    the resulting Object.
    `IOException`

### objectToData

    public void objectToData(Object object,
                             DataBuffer data)
                      throws IOException

  Converts an Object into a data buffer.

  Parameters:
    `object` - is the source Object.
    `data` - is the destination data buffer.
    `IOException`

### getDataFormat

    public DataFormat getDataFormat()

  Returns the format used for the data of this binding.

  Returns:
    the data format.

Berkeley DB version 4.2.52

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.